Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | Protected Member Functions | List of all members
eZ\Publish\Core\MVC\Symfony\Matcher\ContentBasedMatcherFactory Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Matcher\ContentBasedMatcherFactory:

## Public Attributes
const | MATCHER_RELATIVE_NAMESPACE = 'eZ\\Publish\\Core\\MVC\\Symfony\\Matcher\\ContentBased'

## Protected Member Functions
| getMatcher ($matcherIdentifier)
| Returns the matcher object. More...
Protected Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory
| doMatch (MatcherInterface $matcher, View $valueObject)
| Checks if $valueObject matches $matcher rules. More...

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory
| __construct (Repository $repository, array $matchConfig=[])
| match (View $view)
| Checks if $valueObject has a usable configuration for $viewType. More...
Protected Attributes inherited from eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory
| $repository
| $matchConfig
| $matchers
| $matcherRelativeNamespace
| $alreadyMatched

## Detailed Description

Deprecated:
  Deprecated since 6.0, will be removed in 6.1.

Use the ClassNameMatcherFactory instead.

Definition at line 15 of file ContentBasedMatcherFactory.php.

## Member Function Documentation

## ◆ getMatcher()

eZ\Publish\Core\MVC\Symfony\Matcher\ContentBasedMatcherFactory::getMatcher | ( |  | $matcherIdentifier | ) |
| protected

Returns the matcher object.

Parameters

  string | $matcherIdentifier | The matcher class. If it begins with a '\' it means it's a FQ class name, otherwise it is relative to static::MATCHER_RELATIVE_NAMESPACE namespace (if available).

Exceptions

  InvalidArgumentException |

Returns
  \eZ\Publish\Core\MVC\Symfony\Matcher\MatcherInterface|\eZ\Publish\Core\MVC\Symfony\Matcher\ViewMatcherInterface

Reimplemented from eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory.

Reimplemented in eZ\Bundle\EzPublishCoreBundle\Matcher\LocationMatcherFactory.

Definition at line 19 of file ContentBasedMatcherFactory.php.

## Member Data Documentation

## ◆ MATCHER_RELATIVE_NAMESPACE

const eZ\Publish\Core\MVC\Symfony\Matcher\ContentBasedMatcherFactory::MATCHER_RELATIVE_NAMESPACE = 'eZ\\Publish\\Core\\MVC\\Symfony\\Matcher\\ContentBased'

Definition at line 17 of file ContentBasedMatcherFactory.php.

The documentation for this class was generated from the following file:

- ContentBasedMatcherFactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.